<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;

class PageBlock extends Model
{
    protected $guarded = [];

    protected function casts(): array
    {
        return [
            'content' => 'array',
        ];
    }

    public function page()
    {
        return $this->belongsTo(PublicPage::class, 'public_page_id');
    }
}
